From: <a href="/blend/av.cgi?id=1620">Sush's Mom</a><BR>
Date: 11 April 2005<P>

I've spoken to him, Kirk. I have told him that he only hurts people when he uses his intelligence as a "weapon". (If only he could use those smarts of his to find a job! :) ) He's geniunely sorry when confronted, but how much of that translates into action I do not know. Thank you for your patience with him.
<HR>
From: <a href="/blend/av.cgi?id=1622">RosesPetals</a><BR>
Date: 11 April 2005<P>

hey peeps im 13 and my mum is always on dates but y r we not going on dates i think that if we did go on date every 1 wood be more liked and we wood have a bigger social life
<HR>
From: <a href="/blend/av.cgi?id=12">Tanqueray Cowboy</a><BR>
Date: 11 April 2005<P>

Intelligence?  Huh?
<HR>